Commit 3677a479 authored by David Trattnig's avatar David Trattnig
Browse files

Remove Redis references from docs. #39

parent 97b13ddc
......@@ -72,10 +72,10 @@ AURA stands for Automated Radio and is a swiss army knife for community radio st
## Resources
* **Python**: https://docs.python.org/
* **Redis**: https://redis.io/
* **OPAM (OCaml Package Manager)**: https://opam.ocaml.org/
* **Liquidsoap**: https://www.liquidsoap.info/doc-1.4.0/
* **Jack Audio**: https://jackaudio.org/
* **Flask**: https://palletsprojects.com/p/flask/
* **Systemd**: https://systemd.io/
* **Supervisor**: http://supervisord.org/
* **Gunicorn**: https://gunicorn.org/
\ No newline at end of file
......@@ -46,9 +46,8 @@ There's a convenience script to start all of the three main dependencies (Steeri
## Engine Components
**engine-core.py**: It is the server which is connected to the external programme source (e.g. aura steering and tank), to liquidsoap and is listening for redis pubsub messages. This precious little server is telling liquidsoap what to play and when.
*...TBD...*
**Liquidsoap**: The heart of AURA Engine. It uses the built in mixer, to switch between different sources.
## API
......@@ -60,7 +59,7 @@ OpenAPI definition for Engine API: https://app.swaggerhub.com/apis/AURA-Engine/e
When you start Engine the following is happening:
1. Python `engine-core.py`: Initializes `modules/core/engine.py` (The virtual mixer; class for remote-controlling Liquidsoap), Scheduler and the Redis Server
1. Python `engine-core.py`: Initializes `modules/core/engine.py` (The virtual mixer; class for remote-controlling Liquidsoap), Scheduler
2. Python `engine-core.py`: Start Liquidsoap.
3. Liquidsoap: When Liquidsoap finished its startup, it creates a socket file as configured in `socketdir` of `engine.ini`.
4. Python `modules/core/liquidsoap/client.py`: Connects to that socket file.
......
......@@ -25,7 +25,6 @@ Additionally you'll need these system packages:
```bash
sudo apt-get install \
opam \
redis-server \
libsndfile1 \
ffmpeg \
quelcom \
......
......@@ -28,7 +28,6 @@ sudo apt-get update
sudo apt-get install \
supervisor \
opam \
redis-server \
libsndfile1 \
ffmpeg \
quelcom \
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment